=== debian/control ===
Source: haskell-hledger-vty
Section: haskell
Priority: extra
Maintainer: Clint Adams <clint@debian.org>
Build-Depends: haskell-devscripts (>= 0.8)
  , ghc
  , ghc-prof
  , libghc-hledger-dev
  , libghc-hledger-prof
  , libghc-hledger-lib-dev
  , libghc-safe-dev
  , libghc-vty-dev (>= 4.6.0.1)
  , libghc-vty-dev (<< 4.7)
Standards-Version: 3.9.2
Homepage: http://hackage.haskell.org/package/hledger-vty
Vcs-Git: git://git.debian.org/collab-maint/haskell-hledger-vty.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/haskell-hledger-vty.git;a=summary

Package: hledger-vty
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: curses-style interface for the hledger accounting tool
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 hledger is a haskell port and friendly fork of John Wiegley's ledger
 accounting tool. This package provides a simple curses-style console
 interface as an alternative to the hledger command line interface.
