## haskell-hledger-vty 0.16.1

=== debian/changelog ===
haskell-hledger-vty (0.16.1-2) unstable; urgency=low

  * Don't rely on runhaskell to build.  closes: #654624.
  * Increase cmdargs upper bound.

 -- Clint Adams <clint@debian.org>  Wed, 04 Jan 2012 20:31:16 -0500

haskell-hledger-vty (0.16.1-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 09 Oct 2011 12:39:57 -0400

haskell-hledger-vty (0.16-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 02 Oct 2011 11:22:48 -0400

haskell-hledger-vty (0.15.2-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 18 Sep 2011 15:56:39 -0400

haskell-hledger-vty (0.15.1-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 04 Sep 2011 08:27:09 -0400

haskell-hledger-vty (0.14-2) unstable; urgency=low

  * Patch to build with vty 4.7.

 -- Clint Adams <clint@debian.org>  Sun, 28 Aug 2011 13:06:09 -0400
