=== debian/control ===
--- 
+++ 
@@ -1,20 +1,26 @@
 Source: haskell-hledger-vty
 Section: haskell
 Priority: extra
-Maintainer: Clint Adams <clint@debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Uploaders: Clint Adams <clint@debian.org>
 Build-Depends: haskell-devscripts (>= 0.8)
   , ghc
   , ghc-prof
-  , libghc-hledger-dev
+  , libghc-cmdargs-dev (>> 0.8)
+  , libghc-cmdargs-dev (<< 0.10)
+  , libghc-cmdargs-prof
+  , libghc-hledger-dev (>> 0.16.1)
+  , libghc-hledger-dev (<< 0.16.2)
   , libghc-hledger-prof
-  , libghc-hledger-lib-dev
-  , libghc-safe-dev
+  , libghc-hledger-lib-dev (>> 0.16.1)
+  , libghc-hledger-lib-dev (<< 0.16.2)
+  , libghc-safe-dev (>> 0.2)
   , libghc-vty-dev (>= 4.6.0.1)
-  , libghc-vty-dev (<< 4.7)
+  , libghc-vty-dev (<< 4.8)
 Standards-Version: 3.9.2
 Homepage: http://hackage.haskell.org/package/hledger-vty
-Vcs-Git: git://git.debian.org/collab-maint/haskell-hledger-vty.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/haskell-hledger-vty.git;a=summary
+Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hledger-vty
+Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hledger-vty
 
 Package: hledger-vty
 Architecture: any
