=== debian/rules ===
--- 
+++ 
@@ -8,17 +8,30 @@
 
 package=hledger-vty
 
-build: stamp-configure
+clean: checkroot
+#	debian/$(package).setup clean
+	rm -f debian/$(package).setup *.o *.hi
+	rm -f build-arch stamp-configure debian/files debian/substvars
+	rm -rf dist
+	rm -rf debian/$(package)
+
+debian/$(package).setup:
+	ghc Setup.hs -o $@
+
+build: build-arch build-indep
+build-indep:
+
+build-arch: stamp-configure
 	$(checkdir)
 
-	runhaskell Setup.hs build
+	debian/$(package).setup build
 
-	touch build
+	touch build-arch
 
-stamp-configure:
+stamp-configure: debian/$(package).setup
 	$(checkdir)
 
-	runhaskell Setup.hs configure --prefix=/usr
+	debian/$(package).setup configure --prefix=/usr
 
 	touch stamp-configure
 
@@ -29,7 +42,7 @@
 binary-arch:	checkroot build
 	$(checkdir)
 
-	runhaskell Setup.hs copy --destdir=$(CURDIR)/debian/$(package)
+	debian/$(package).setup copy --destdir=$(CURDIR)/debian/$(package)
 	rm -rf debian/$(package)/usr/share/doc/$(package)-*
 	cd debian/$(package) && $(INSTALL_DIR) \
 		usr/bin \
@@ -59,4 +72,4 @@
 	$(checkdir)
 	test root = "`whoami`"
 
-.PHONY: binary binary-arch binary-indep clean checkroot
+.PHONY: build build-indep binary binary-arch binary-indep clean checkroot
